package domains

import "time"

type Product struct {
	Id                  int
	ProductName         string
	ProductType         int
	PacketRule          int
	ProductKind         int
	Amount              string
	CouponType          int
	IsSuperposition     int
	TemplateId          int
	Status              int
	IsNeedBill          int
	CreateTime          time.Time
	SupplierProductId   int64
	SupplierProductName string

	Creator    string
	UpdateTime time.Time
}
